/**
 * EasyBeans
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: RemoveException.java 4821 2009-03-17 17:12:17Z benoitf $
 * --------------------------------------------------------------------------
 */

package javax.ejb;

/**
 * The RemoveException exception is thrown at an attempt to remove an EJB object
 * when the enterprise Bean or the container does not allow the EJB object to be
 * removed.
 * @see <a href="http://www.jcp.org/en/jsr/detail?id=318">EJB 3.1 specification</a>
 * @author Florent Benoit
 */
public class RemoveException extends Exception {

    /**
     * UID for serialization.
     */
    private static final long serialVersionUID = -4581849053220157910L;

    /**
     * Default constructor : builds an exception with an empty message.
     */
    public RemoveException() {
        super();
    }

    /**
     * Build an exception with the given message.
     * @param message the given message to use.
     */
    public RemoveException(final String message) {
        super(message);
    }

}
