/**
 * EasyBeans
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: TimerConfig.java 4821 2009-03-17 17:12:17Z benoitf $
 * --------------------------------------------------------------------------
 */

package javax.ejb;

import java.io.Serializable;

/**
 * The Timer interface contains information about a timer that was created through the EJB Timer Service.
 * @see <a href="http://www.jcp.org/en/jsr/detail?id=318">EJB 3.1 specification</a>
 * @author Florent Benoit
 * @since EJB 3.1 version.
 */
public class TimerConfig {

    /**
     * Info field.
     */
    private Serializable info;

    /**
     * Is it persistent ?.
     */
    private boolean isPersistent;

    public java.io.Serializable getInfo() {
        return info;
    }

    public boolean isPersistent() {
        return isPersistent;
    }

    public void setInfo(java.io.Serializable info) {
        this.info = info;
    }

    public void setPersistent(boolean isPersistent) {
        this.isPersistent = isPersistent;
    }

}
